Package org.eclipse.rdf4j.sail.elasticsearchstore.config

## Class ElasticsearchStoreConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.base.config.BaseSailConfig
    - - org.eclipse.rdf4j.sail.elasticsearchstore.config.ElasticsearchStoreConfig

- All Implemented Interfaces:
    `SailImplConfig`

      public class ElasticsearchStoreConfig
      extends BaseSailConfig

  Author:
    Håvard Mikkelsen Ottestad

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElasticsearchStoreConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assertRequiredValuesPresent()` |
    `Resource` | `export​(Model graph)` |
    `String` | `getClusterName()` |
    `String` | `getHostname()` |
    `String` | `getIndex()` |
    `int` | `getPort()` |
    `void` | `parse​(Model graph, Resource implNode)` |
    `void` | `setClusterName​(String clusterName)` |
    `void` | `setHostname​(String hostname)` |
    `void` | `setIndex​(String index)` |
    `void` | `setPort​(int port)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.base.config.BaseSailConfig

      `getEvaluationStrategyFactory, getEvaluationStrategyFactoryClassName, setEvaluationStrategyFactoryClassName`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticsearchStoreConfig

          public ElasticsearchStoreConfig()

  - ### Method Detail

    - #### export

          public Resource export​(Model graph)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `BaseSailConfig`

    - #### parse

          public void parse​(Model graph,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `BaseSailConfig`
      Throws:
        `SailConfigException`

    - #### getHostname

          public String getHostname()

    - #### getPort

          public int getPort()

    - #### getClusterName

          public String getClusterName()

    - #### getIndex

          public String getIndex()

    - #### setHostname

          public void setHostname​(String hostname)

    - #### setPort

          public void setPort​(int port)

    - #### setClusterName

          public void setClusterName​(String clusterName)

    - #### setIndex

          public void setIndex​(String index)

    - #### assertRequiredValuesPresent

          public void assertRequiredValuesPresent()